import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  BatchCreateCustomVocabularyItemCommandInput,
  BatchCreateCustomVocabularyItemCommandOutput,
} from "../commands/BatchCreateCustomVocabularyItemCommand";
import {
  BatchDeleteCustomVocabularyItemCommandInput,
  BatchDeleteCustomVocabularyItemCommandOutput,
} from "../commands/BatchDeleteCustomVocabularyItemCommand";
import {
  BatchUpdateCustomVocabularyItemCommandInput,
  BatchUpdateCustomVocabularyItemCommandOutput,
} from "../commands/BatchUpdateCustomVocabularyItemCommand";
import {
  BuildBotLocaleCommandInput,
  BuildBotLocaleCommandOutput,
} from "../commands/BuildBotLocaleCommand";
import {
  CreateBotAliasCommandInput,
  CreateBotAliasCommandOutput,
} from "../commands/CreateBotAliasCommand";
import {
  CreateBotCommandInput,
  CreateBotCommandOutput,
} from "../commands/CreateBotCommand";
import {
  CreateBotLocaleCommandInput,
  CreateBotLocaleCommandOutput,
} from "../commands/CreateBotLocaleCommand";
import {
  CreateBotReplicaCommandInput,
  CreateBotReplicaCommandOutput,
} from "../commands/CreateBotReplicaCommand";
import {
  CreateBotVersionCommandInput,
  CreateBotVersionCommandOutput,
} from "../commands/CreateBotVersionCommand";
import {
  CreateExportCommandInput,
  CreateExportCommandOutput,
} from "../commands/CreateExportCommand";
import {
  CreateIntentCommandInput,
  CreateIntentCommandOutput,
} from "../commands/CreateIntentCommand";
import {
  CreateResourcePolicyCommandInput,
  CreateResourcePolicyCommandOutput,
} from "../commands/CreateResourcePolicyCommand";
import {
  CreateResourcePolicyStatementCommandInput,
  CreateResourcePolicyStatementCommandOutput,
} from "../commands/CreateResourcePolicyStatementCommand";
import {
  CreateSlotCommandInput,
  CreateSlotCommandOutput,
} from "../commands/CreateSlotCommand";
import {
  CreateSlotTypeCommandInput,
  CreateSlotTypeCommandOutput,
} from "../commands/CreateSlotTypeCommand";
import {
  CreateTestSetDiscrepancyReportCommandInput,
  CreateTestSetDiscrepancyReportCommandOutput,
} from "../commands/CreateTestSetDiscrepancyReportCommand";
import {
  CreateUploadUrlCommandInput,
  CreateUploadUrlCommandOutput,
} from "../commands/CreateUploadUrlCommand";
import {
  DeleteBotAliasCommandInput,
  DeleteBotAliasCommandOutput,
} from "../commands/DeleteBotAliasCommand";
import {
  DeleteBotCommandInput,
  DeleteBotCommandOutput,
} from "../commands/DeleteBotCommand";
import {
  DeleteBotLocaleCommandInput,
  DeleteBotLocaleCommandOutput,
} from "../commands/DeleteBotLocaleCommand";
import {
  DeleteBotReplicaCommandInput,
  DeleteBotReplicaCommandOutput,
} from "../commands/DeleteBotReplicaCommand";
import {
  DeleteBotVersionCommandInput,
  DeleteBotVersionCommandOutput,
} from "../commands/DeleteBotVersionCommand";
import {
  DeleteCustomVocabularyCommandInput,
  DeleteCustomVocabularyCommandOutput,
} from "../commands/DeleteCustomVocabularyCommand";
import {
  DeleteExportCommandInput,
  DeleteExportCommandOutput,
} from "../commands/DeleteExportCommand";
import {
  DeleteImportCommandInput,
  DeleteImportCommandOutput,
} from "../commands/DeleteImportCommand";
import {
  DeleteIntentCommandInput,
  DeleteIntentCommandOutput,
} from "../commands/DeleteIntentCommand";
import {
  DeleteResourcePolicyCommandInput,
  DeleteResourcePolicyCommandOutput,
} from "../commands/DeleteResourcePolicyCommand";
import {
  DeleteResourcePolicyStatementCommandInput,
  DeleteResourcePolicyStatementCommandOutput,
} from "../commands/DeleteResourcePolicyStatementCommand";
import {
  DeleteSlotCommandInput,
  DeleteSlotCommandOutput,
} from "../commands/DeleteSlotCommand";
import {
  DeleteSlotTypeCommandInput,
  DeleteSlotTypeCommandOutput,
} from "../commands/DeleteSlotTypeCommand";
import {
  DeleteTestSetCommandInput,
  DeleteTestSetCommandOutput,
} from "../commands/DeleteTestSetCommand";
import {
  DeleteUtterancesCommandInput,
  DeleteUtterancesCommandOutput,
} from "../commands/DeleteUtterancesCommand";
import {
  DescribeBotAliasCommandInput,
  DescribeBotAliasCommandOutput,
} from "../commands/DescribeBotAliasCommand";
import {
  DescribeBotCommandInput,
  DescribeBotCommandOutput,
} from "../commands/DescribeBotCommand";
import {
  DescribeBotLocaleCommandInput,
  DescribeBotLocaleCommandOutput,
} from "../commands/DescribeBotLocaleCommand";
import {
  DescribeBotRecommendationCommandInput,
  DescribeBotRecommendationCommandOutput,
} from "../commands/DescribeBotRecommendationCommand";
import {
  DescribeBotReplicaCommandInput,
  DescribeBotReplicaCommandOutput,
} from "../commands/DescribeBotReplicaCommand";
import {
  DescribeBotResourceGenerationCommandInput,
  DescribeBotResourceGenerationCommandOutput,
} from "../commands/DescribeBotResourceGenerationCommand";
import {
  DescribeBotVersionCommandInput,
  DescribeBotVersionCommandOutput,
} from "../commands/DescribeBotVersionCommand";
import {
  DescribeCustomVocabularyMetadataCommandInput,
  DescribeCustomVocabularyMetadataCommandOutput,
} from "../commands/DescribeCustomVocabularyMetadataCommand";
import {
  DescribeExportCommandInput,
  DescribeExportCommandOutput,
} from "../commands/DescribeExportCommand";
import {
  DescribeImportCommandInput,
  DescribeImportCommandOutput,
} from "../commands/DescribeImportCommand";
import {
  DescribeIntentCommandInput,
  DescribeIntentCommandOutput,
} from "../commands/DescribeIntentCommand";
import {
  DescribeResourcePolicyCommandInput,
  DescribeResourcePolicyCommandOutput,
} from "../commands/DescribeResourcePolicyCommand";
import {
  DescribeSlotCommandInput,
  DescribeSlotCommandOutput,
} from "../commands/DescribeSlotCommand";
import {
  DescribeSlotTypeCommandInput,
  DescribeSlotTypeCommandOutput,
} from "../commands/DescribeSlotTypeCommand";
import {
  DescribeTestExecutionCommandInput,
  DescribeTestExecutionCommandOutput,
} from "../commands/DescribeTestExecutionCommand";
import {
  DescribeTestSetCommandInput,
  DescribeTestSetCommandOutput,
} from "../commands/DescribeTestSetCommand";
import {
  DescribeTestSetDiscrepancyReportCommandInput,
  DescribeTestSetDiscrepancyReportCommandOutput,
} from "../commands/DescribeTestSetDiscrepancyReportCommand";
import {
  DescribeTestSetGenerationCommandInput,
  DescribeTestSetGenerationCommandOutput,
} from "../commands/DescribeTestSetGenerationCommand";
import {
  GenerateBotElementCommandInput,
  GenerateBotElementCommandOutput,
} from "../commands/GenerateBotElementCommand";
import {
  GetTestExecutionArtifactsUrlCommandInput,
  GetTestExecutionArtifactsUrlCommandOutput,
} from "../commands/GetTestExecutionArtifactsUrlCommand";
import {
  ListAggregatedUtterancesCommandInput,
  ListAggregatedUtterancesCommandOutput,
} from "../commands/ListAggregatedUtterancesCommand";
import {
  ListBotAliasesCommandInput,
  ListBotAliasesCommandOutput,
} from "../commands/ListBotAliasesCommand";
import {
  ListBotAliasReplicasCommandInput,
  ListBotAliasReplicasCommandOutput,
} from "../commands/ListBotAliasReplicasCommand";
import {
  ListBotLocalesCommandInput,
  ListBotLocalesCommandOutput,
} from "../commands/ListBotLocalesCommand";
import {
  ListBotRecommendationsCommandInput,
  ListBotRecommendationsCommandOutput,
} from "../commands/ListBotRecommendationsCommand";
import {
  ListBotReplicasCommandInput,
  ListBotReplicasCommandOutput,
} from "../commands/ListBotReplicasCommand";
import {
  ListBotResourceGenerationsCommandInput,
  ListBotResourceGenerationsCommandOutput,
} from "../commands/ListBotResourceGenerationsCommand";
import {
  ListBotsCommandInput,
  ListBotsCommandOutput,
} from "../commands/ListBotsCommand";
import {
  ListBotVersionReplicasCommandInput,
  ListBotVersionReplicasCommandOutput,
} from "../commands/ListBotVersionReplicasCommand";
import {
  ListBotVersionsCommandInput,
  ListBotVersionsCommandOutput,
} from "../commands/ListBotVersionsCommand";
import {
  ListBuiltInIntentsCommandInput,
  ListBuiltInIntentsCommandOutput,
} from "../commands/ListBuiltInIntentsCommand";
import {
  ListBuiltInSlotTypesCommandInput,
  ListBuiltInSlotTypesCommandOutput,
} from "../commands/ListBuiltInSlotTypesCommand";
import {
  ListCustomVocabularyItemsCommandInput,
  ListCustomVocabularyItemsCommandOutput,
} from "../commands/ListCustomVocabularyItemsCommand";
import {
  ListExportsCommandInput,
  ListExportsCommandOutput,
} from "../commands/ListExportsCommand";
import {
  ListImportsCommandInput,
  ListImportsCommandOutput,
} from "../commands/ListImportsCommand";
import {
  ListIntentMetricsCommandInput,
  ListIntentMetricsCommandOutput,
} from "../commands/ListIntentMetricsCommand";
import {
  ListIntentPathsCommandInput,
  ListIntentPathsCommandOutput,
} from "../commands/ListIntentPathsCommand";
import {
  ListIntentsCommandInput,
  ListIntentsCommandOutput,
} from "../commands/ListIntentsCommand";
import {
  ListIntentStageMetricsCommandInput,
  ListIntentStageMetricsCommandOutput,
} from "../commands/ListIntentStageMetricsCommand";
import {
  ListRecommendedIntentsCommandInput,
  ListRecommendedIntentsCommandOutput,
} from "../commands/ListRecommendedIntentsCommand";
import {
  ListSessionAnalyticsDataCommandInput,
  ListSessionAnalyticsDataCommandOutput,
} from "../commands/ListSessionAnalyticsDataCommand";
import {
  ListSessionMetricsCommandInput,
  ListSessionMetricsCommandOutput,
} from "../commands/ListSessionMetricsCommand";
import {
  ListSlotsCommandInput,
  ListSlotsCommandOutput,
} from "../commands/ListSlotsCommand";
import {
  ListSlotTypesCommandInput,
  ListSlotTypesCommandOutput,
} from "../commands/ListSlotTypesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTestExecutionResultItemsCommandInput,
  ListTestExecutionResultItemsCommandOutput,
} from "../commands/ListTestExecutionResultItemsCommand";
import {
  ListTestExecutionsCommandInput,
  ListTestExecutionsCommandOutput,
} from "../commands/ListTestExecutionsCommand";
import {
  ListTestSetRecordsCommandInput,
  ListTestSetRecordsCommandOutput,
} from "../commands/ListTestSetRecordsCommand";
import {
  ListTestSetsCommandInput,
  ListTestSetsCommandOutput,
} from "../commands/ListTestSetsCommand";
import {
  ListUtteranceAnalyticsDataCommandInput,
  ListUtteranceAnalyticsDataCommandOutput,
} from "../commands/ListUtteranceAnalyticsDataCommand";
import {
  ListUtteranceMetricsCommandInput,
  ListUtteranceMetricsCommandOutput,
} from "../commands/ListUtteranceMetricsCommand";
import {
  SearchAssociatedTranscriptsCommandInput,
  SearchAssociatedTranscriptsCommandOutput,
} from "../commands/SearchAssociatedTranscriptsCommand";
import {
  StartBotRecommendationCommandInput,
  StartBotRecommendationCommandOutput,
} from "../commands/StartBotRecommendationCommand";
import {
  StartBotResourceGenerationCommandInput,
  StartBotResourceGenerationCommandOutput,
} from "../commands/StartBotResourceGenerationCommand";
import {
  StartImportCommandInput,
  StartImportCommandOutput,
} from "../commands/StartImportCommand";
import {
  StartTestExecutionCommandInput,
  StartTestExecutionCommandOutput,
} from "../commands/StartTestExecutionCommand";
import {
  StartTestSetGenerationCommandInput,
  StartTestSetGenerationCommandOutput,
} from "../commands/StartTestSetGenerationCommand";
import {
  StopBotRecommendationCommandInput,
  StopBotRecommendationCommandOutput,
} from "../commands/StopBotRecommendationCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateBotAliasCommandInput,
  UpdateBotAliasCommandOutput,
} from "../commands/UpdateBotAliasCommand";
import {
  UpdateBotCommandInput,
  UpdateBotCommandOutput,
} from "../commands/UpdateBotCommand";
import {
  UpdateBotLocaleCommandInput,
  UpdateBotLocaleCommandOutput,
} from "../commands/UpdateBotLocaleCommand";
import {
  UpdateBotRecommendationCommandInput,
  UpdateBotRecommendationCommandOutput,
} from "../commands/UpdateBotRecommendationCommand";
import {
  UpdateExportCommandInput,
  UpdateExportCommandOutput,
} from "../commands/UpdateExportCommand";
import {
  UpdateIntentCommandInput,
  UpdateIntentCommandOutput,
} from "../commands/UpdateIntentCommand";
import {
  UpdateResourcePolicyCommandInput,
  UpdateResourcePolicyCommandOutput,
} from "../commands/UpdateResourcePolicyCommand";
import {
  UpdateSlotCommandInput,
  UpdateSlotCommandOutput,
} from "../commands/UpdateSlotCommand";
import {
  UpdateSlotTypeCommandInput,
  UpdateSlotTypeCommandOutput,
} from "../commands/UpdateSlotTypeCommand";
import {
  UpdateTestSetCommandInput,
  UpdateTestSetCommandOutput,
} from "../commands/UpdateTestSetCommand";
export declare const se_BatchCreateCustomVocabularyItemCommand: (
  input: BatchCreateCustomVocabularyItemCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeleteCustomVocabularyItemCommand: (
  input: BatchDeleteCustomVocabularyItemCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUpdateCustomVocabularyItemCommand: (
  input: BatchUpdateCustomVocabularyItemCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BuildBotLocaleCommand: (
  input: BuildBotLocaleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotCommand: (
  input: CreateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotAliasCommand: (
  input: CreateBotAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotLocaleCommand: (
  input: CreateBotLocaleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotReplicaCommand: (
  input: CreateBotReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotVersionCommand: (
  input: CreateBotVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateExportCommand: (
  input: CreateExportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateIntentCommand: (
  input: CreateIntentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateResourcePolicyCommand: (
  input: CreateResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateResourcePolicyStatementCommand: (
  input: CreateResourcePolicyStatementCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSlotCommand: (
  input: CreateSlotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSlotTypeCommand: (
  input: CreateSlotTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTestSetDiscrepancyReportCommand: (
  input: CreateTestSetDiscrepancyReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUploadUrlCommand: (
  input: CreateUploadUrlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBotCommand: (
  input: DeleteBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBotAliasCommand: (
  input: DeleteBotAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBotLocaleCommand: (
  input: DeleteBotLocaleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBotReplicaCommand: (
  input: DeleteBotReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteBotVersionCommand: (
  input: DeleteBotVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCustomVocabularyCommand: (
  input: DeleteCustomVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteExportCommand: (
  input: DeleteExportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteImportCommand: (
  input: DeleteImportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteIntentCommand: (
  input: DeleteIntentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteResourcePolicyCommand: (
  input: DeleteResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteResourcePolicyStatementCommand: (
  input: DeleteResourcePolicyStatementCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSlotCommand: (
  input: DeleteSlotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSlotTypeCommand: (
  input: DeleteSlotTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTestSetCommand: (
  input: DeleteTestSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUtterancesCommand: (
  input: DeleteUtterancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotCommand: (
  input: DescribeBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotAliasCommand: (
  input: DescribeBotAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotLocaleCommand: (
  input: DescribeBotLocaleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotRecommendationCommand: (
  input: DescribeBotRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotReplicaCommand: (
  input: DescribeBotReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotResourceGenerationCommand: (
  input: DescribeBotResourceGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeBotVersionCommand: (
  input: DescribeBotVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCustomVocabularyMetadataCommand: (
  input: DescribeCustomVocabularyMetadataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeExportCommand: (
  input: DescribeExportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeImportCommand: (
  input: DescribeImportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeIntentCommand: (
  input: DescribeIntentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeResourcePolicyCommand: (
  input: DescribeResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSlotCommand: (
  input: DescribeSlotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSlotTypeCommand: (
  input: DescribeSlotTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTestExecutionCommand: (
  input: DescribeTestExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTestSetCommand: (
  input: DescribeTestSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTestSetDiscrepancyReportCommand: (
  input: DescribeTestSetDiscrepancyReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTestSetGenerationCommand: (
  input: DescribeTestSetGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GenerateBotElementCommand: (
  input: GenerateBotElementCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTestExecutionArtifactsUrlCommand: (
  input: GetTestExecutionArtifactsUrlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAggregatedUtterancesCommand: (
  input: ListAggregatedUtterancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotAliasesCommand: (
  input: ListBotAliasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotAliasReplicasCommand: (
  input: ListBotAliasReplicasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotLocalesCommand: (
  input: ListBotLocalesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotRecommendationsCommand: (
  input: ListBotRecommendationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotReplicasCommand: (
  input: ListBotReplicasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotResourceGenerationsCommand: (
  input: ListBotResourceGenerationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotsCommand: (
  input: ListBotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotVersionReplicasCommand: (
  input: ListBotVersionReplicasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotVersionsCommand: (
  input: ListBotVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBuiltInIntentsCommand: (
  input: ListBuiltInIntentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBuiltInSlotTypesCommand: (
  input: ListBuiltInSlotTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCustomVocabularyItemsCommand: (
  input: ListCustomVocabularyItemsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListExportsCommand: (
  input: ListExportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListImportsCommand: (
  input: ListImportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIntentMetricsCommand: (
  input: ListIntentMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIntentPathsCommand: (
  input: ListIntentPathsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIntentsCommand: (
  input: ListIntentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListIntentStageMetricsCommand: (
  input: ListIntentStageMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRecommendedIntentsCommand: (
  input: ListRecommendedIntentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSessionAnalyticsDataCommand: (
  input: ListSessionAnalyticsDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSessionMetricsCommand: (
  input: ListSessionMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSlotsCommand: (
  input: ListSlotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSlotTypesCommand: (
  input: ListSlotTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTestExecutionResultItemsCommand: (
  input: ListTestExecutionResultItemsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTestExecutionsCommand: (
  input: ListTestExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTestSetRecordsCommand: (
  input: ListTestSetRecordsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTestSetsCommand: (
  input: ListTestSetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUtteranceAnalyticsDataCommand: (
  input: ListUtteranceAnalyticsDataCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUtteranceMetricsCommand: (
  input: ListUtteranceMetricsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchAssociatedTranscriptsCommand: (
  input: SearchAssociatedTranscriptsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartBotRecommendationCommand: (
  input: StartBotRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartBotResourceGenerationCommand: (
  input: StartBotResourceGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartImportCommand: (
  input: StartImportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartTestExecutionCommand: (
  input: StartTestExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartTestSetGenerationCommand: (
  input: StartTestSetGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopBotRecommendationCommand: (
  input: StopBotRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBotCommand: (
  input: UpdateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBotAliasCommand: (
  input: UpdateBotAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBotLocaleCommand: (
  input: UpdateBotLocaleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBotRecommendationCommand: (
  input: UpdateBotRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateExportCommand: (
  input: UpdateExportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateIntentCommand: (
  input: UpdateIntentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateResourcePolicyCommand: (
  input: UpdateResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSlotCommand: (
  input: UpdateSlotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSlotTypeCommand: (
  input: UpdateSlotTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTestSetCommand: (
  input: UpdateTestSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_BatchCreateCustomVocabularyItemCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchCreateCustomVocabularyItemCommandOutput>;
export declare const de_BatchDeleteCustomVocabularyItemCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeleteCustomVocabularyItemCommandOutput>;
export declare const de_BatchUpdateCustomVocabularyItemCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUpdateCustomVocabularyItemCommandOutput>;
export declare const de_BuildBotLocaleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BuildBotLocaleCommandOutput>;
export declare const de_CreateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotCommandOutput>;
export declare const de_CreateBotAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotAliasCommandOutput>;
export declare const de_CreateBotLocaleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotLocaleCommandOutput>;
export declare const de_CreateBotReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotReplicaCommandOutput>;
export declare const de_CreateBotVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotVersionCommandOutput>;
export declare const de_CreateExportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateExportCommandOutput>;
export declare const de_CreateIntentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateIntentCommandOutput>;
export declare const de_CreateResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateResourcePolicyCommandOutput>;
export declare const de_CreateResourcePolicyStatementCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateResourcePolicyStatementCommandOutput>;
export declare const de_CreateSlotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSlotCommandOutput>;
export declare const de_CreateSlotTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSlotTypeCommandOutput>;
export declare const de_CreateTestSetDiscrepancyReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTestSetDiscrepancyReportCommandOutput>;
export declare const de_CreateUploadUrlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUploadUrlCommandOutput>;
export declare const de_DeleteBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBotCommandOutput>;
export declare const de_DeleteBotAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBotAliasCommandOutput>;
export declare const de_DeleteBotLocaleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBotLocaleCommandOutput>;
export declare const de_DeleteBotReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBotReplicaCommandOutput>;
export declare const de_DeleteBotVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBotVersionCommandOutput>;
export declare const de_DeleteCustomVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCustomVocabularyCommandOutput>;
export declare const de_DeleteExportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteExportCommandOutput>;
export declare const de_DeleteImportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteImportCommandOutput>;
export declare const de_DeleteIntentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteIntentCommandOutput>;
export declare const de_DeleteResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResourcePolicyCommandOutput>;
export declare const de_DeleteResourcePolicyStatementCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResourcePolicyStatementCommandOutput>;
export declare const de_DeleteSlotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSlotCommandOutput>;
export declare const de_DeleteSlotTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSlotTypeCommandOutput>;
export declare const de_DeleteTestSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTestSetCommandOutput>;
export declare const de_DeleteUtterancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUtterancesCommandOutput>;
export declare const de_DescribeBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotCommandOutput>;
export declare const de_DescribeBotAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotAliasCommandOutput>;
export declare const de_DescribeBotLocaleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotLocaleCommandOutput>;
export declare const de_DescribeBotRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotRecommendationCommandOutput>;
export declare const de_DescribeBotReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotReplicaCommandOutput>;
export declare const de_DescribeBotResourceGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotResourceGenerationCommandOutput>;
export declare const de_DescribeBotVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBotVersionCommandOutput>;
export declare const de_DescribeCustomVocabularyMetadataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCustomVocabularyMetadataCommandOutput>;
export declare const de_DescribeExportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeExportCommandOutput>;
export declare const de_DescribeImportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeImportCommandOutput>;
export declare const de_DescribeIntentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeIntentCommandOutput>;
export declare const de_DescribeResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeResourcePolicyCommandOutput>;
export declare const de_DescribeSlotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSlotCommandOutput>;
export declare const de_DescribeSlotTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSlotTypeCommandOutput>;
export declare const de_DescribeTestExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTestExecutionCommandOutput>;
export declare const de_DescribeTestSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTestSetCommandOutput>;
export declare const de_DescribeTestSetDiscrepancyReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTestSetDiscrepancyReportCommandOutput>;
export declare const de_DescribeTestSetGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTestSetGenerationCommandOutput>;
export declare const de_GenerateBotElementCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GenerateBotElementCommandOutput>;
export declare const de_GetTestExecutionArtifactsUrlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTestExecutionArtifactsUrlCommandOutput>;
export declare const de_ListAggregatedUtterancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAggregatedUtterancesCommandOutput>;
export declare const de_ListBotAliasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotAliasesCommandOutput>;
export declare const de_ListBotAliasReplicasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotAliasReplicasCommandOutput>;
export declare const de_ListBotLocalesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotLocalesCommandOutput>;
export declare const de_ListBotRecommendationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotRecommendationsCommandOutput>;
export declare const de_ListBotReplicasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotReplicasCommandOutput>;
export declare const de_ListBotResourceGenerationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotResourceGenerationsCommandOutput>;
export declare const de_ListBotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotsCommandOutput>;
export declare const de_ListBotVersionReplicasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotVersionReplicasCommandOutput>;
export declare const de_ListBotVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotVersionsCommandOutput>;
export declare const de_ListBuiltInIntentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBuiltInIntentsCommandOutput>;
export declare const de_ListBuiltInSlotTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBuiltInSlotTypesCommandOutput>;
export declare const de_ListCustomVocabularyItemsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCustomVocabularyItemsCommandOutput>;
export declare const de_ListExportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListExportsCommandOutput>;
export declare const de_ListImportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListImportsCommandOutput>;
export declare const de_ListIntentMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIntentMetricsCommandOutput>;
export declare const de_ListIntentPathsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIntentPathsCommandOutput>;
export declare const de_ListIntentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIntentsCommandOutput>;
export declare const de_ListIntentStageMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListIntentStageMetricsCommandOutput>;
export declare const de_ListRecommendedIntentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRecommendedIntentsCommandOutput>;
export declare const de_ListSessionAnalyticsDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSessionAnalyticsDataCommandOutput>;
export declare const de_ListSessionMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSessionMetricsCommandOutput>;
export declare const de_ListSlotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSlotsCommandOutput>;
export declare const de_ListSlotTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSlotTypesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListTestExecutionResultItemsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTestExecutionResultItemsCommandOutput>;
export declare const de_ListTestExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTestExecutionsCommandOutput>;
export declare const de_ListTestSetRecordsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTestSetRecordsCommandOutput>;
export declare const de_ListTestSetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTestSetsCommandOutput>;
export declare const de_ListUtteranceAnalyticsDataCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUtteranceAnalyticsDataCommandOutput>;
export declare const de_ListUtteranceMetricsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUtteranceMetricsCommandOutput>;
export declare const de_SearchAssociatedTranscriptsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchAssociatedTranscriptsCommandOutput>;
export declare const de_StartBotRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartBotRecommendationCommandOutput>;
export declare const de_StartBotResourceGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartBotResourceGenerationCommandOutput>;
export declare const de_StartImportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartImportCommandOutput>;
export declare const de_StartTestExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartTestExecutionCommandOutput>;
export declare const de_StartTestSetGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartTestSetGenerationCommandOutput>;
export declare const de_StopBotRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopBotRecommendationCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBotCommandOutput>;
export declare const de_UpdateBotAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBotAliasCommandOutput>;
export declare const de_UpdateBotLocaleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBotLocaleCommandOutput>;
export declare const de_UpdateBotRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBotRecommendationCommandOutput>;
export declare const de_UpdateExportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateExportCommandOutput>;
export declare const de_UpdateIntentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateIntentCommandOutput>;
export declare const de_UpdateResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateResourcePolicyCommandOutput>;
export declare const de_UpdateSlotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSlotCommandOutput>;
export declare const de_UpdateSlotTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSlotTypeCommandOutput>;
export declare const de_UpdateTestSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTestSetCommandOutput>;
